<?php if ( function_exists('register_sidebar') ) register_sidebars(3); 
// Custom Header Image Support

define('HEADER_TEXTCOLOR', 'fff');
define('HEADER_IMAGE', '%s/images/blankheader.png'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 770);
define('HEADER_IMAGE_HEIGHT', 250);



function theme_admin_header_style() {
?>
<style type="text/css">
#headimg {
	background-image: url(<?php header_image() ?>);	
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	font-family: Meiryo, "Trebuchet MS", Arial, Verdana, Sans-Serif;
	
}
#headimg h1 
{
	margin: 0;
	padding-left:10px;
	padding-top: 35px;
	font-size: 300%;
	font-weight:bold;
}
#headimg #desc {
	margin: 0;
	padding-left:10px;
	font-size: 120%;
	
}
#headimg a {
	text-decoration: none;
}
#headimg * 
{
	color:#<?php header_textcolor();?>;
}
</style>
<?php
}
function theme_header_style() {
?>
<style type="text/css">
#headerimg
{
background-image: url(<?php header_image() ?>);	
	
}
<?php if ( 'blank' == get_header_textcolor() ) { ?>
#headertext h1 a, #headertext .description{
	display: none;
}
<?php } else { ?>
#headertext h1 a, #headertext .description{
	color:#<?php header_textcolor() ?>;
}
<?php } ?>
</style>
<?php
}
if ( function_exists('add_custom_image_header') ) {
	add_custom_image_header('theme_header_style', 'theme_admin_header_style');
}
?>